using Toybox.WatchUi as Ui;
using Toybox.Graphics as Gfx;
using Toybox.System as Sys;
using Toybox.Lang as Lang;

class wfView extends Ui.WatchFace {
	var inLowPower=false;
	var canBurnIn=false;
	var up=true;
	
	var width,height;

    function initialize() {
        WatchFace.initialize();
        
        var sSettings=Sys.getDeviceSettings();
        if(sSettings has :requiresBurnInProtection) {       
        	canBurnIn=sSettings.requiresBurnInProtection;        	
        }
        Sys.println("Start: requiresBurnInProtection is "+canBurnIn);
    }

    // Load your resources here
    function onLayout(dc) {
		width=dc.getWidth();
		height=dc.getHeight();
    }

    // Called when this View is brought to the foreground. Restore
    // the state of this View and prepare it to be shown. This includes
    // loading resources into memory.
    function onShow() {
    }

    // Update the view
    function onUpdate(dc) {
        var sSettings=Sys.getDeviceSettings();
        if(sSettings has :requiresBurnInProtection) {
        	//if(!canBurnIn) {       
        		canBurnIn=sSettings.requiresBurnInProtection;
        		Sys.println("onUpdate() requiresBurnInProtection is now "+canBurnIn+" inLowPower="+inLowPower);
        	//}        	
        }    
        // Get and show the current time
        dc.setColor(Gfx.COLOR_BLACK,Gfx.COLOR_BLACK);
        dc.clear();
        dc.setColor(Gfx.COLOR_WHITE,Gfx.COLOR_TRANSPARENT);
        
        var clockTime = Sys.getClockTime();
        var timeString = Lang.format("$1$:$2$", [clockTime.hour, clockTime.min.format("%02d")]);
        var y=height/2;
        
        if(inLowPower && canBurnIn) {
        	timeString=timeString+" BURN";
        	y=(up) ? height*.25 : height*.75;
        	up=!up;
        	dc.setColor(Gfx.COLOR_PINK,Gfx.COLOR_TRANSPARENT);
        } else if(inLowPower) {
        	timeString=timeString+" lo";
        } else {timeString=timeString+" hi";}
        
        dc.drawText(width/2,y,Gfx.FONT_MEDIUM,timeString,Gfx.TEXT_JUSTIFY_CENTER|Gfx.TEXT_JUSTIFY_VCENTER);
        

    }

    // Called when this View is removed from the screen. Save the
    // state of this View here. This includes freeing resources from
    // memory.
    function onHide() {
    }

    // The user has just looked at their watch. Timers and animations may be started here.
    function onExitSleep() {
    	inLowPower=false;
    	Ui.requestUpdate();
    }

    // Terminate any active timers and prepare for slow updates.
    function onEnterSleep() {
    	inLowPower=true;
    	Ui.requestUpdate();
    }

}
